-- MySQL dump 10.13  Distrib 5.1.62, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: mpmasql_example_db
-- ------------------------------------------------------
-- Server version	5.1.62-0ubuntu0.10.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tbl_agent_info`
--

DROP TABLE IF EXISTS `tbl_agent_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_agent_info` (
  `farmstead_id` int(11) NOT NULL DEFAULT '0',
  `pop` int(11) DEFAULT NULL,
  `clu` int(11) DEFAULT NULL,
  `catchment` int(11) DEFAULT NULL,
  `agent` int(11) DEFAULT NULL,
  `sec` int(11) DEFAULT NULL,
  `numplots` int(11) DEFAULT NULL,
  PRIMARY KEY (`farmstead_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_agent_info`
--

LOCK TABLES `tbl_agent_info` WRITE;
/*!40000 ALTER TABLE `tbl_agent_info` DISABLE KEYS */;
INSERT INTO `tbl_agent_info` VALUES (15,0,0,0,1,0,5),(67,0,0,0,2,0,8),(300,0,0,0,3,0,7);
/*!40000 ALTER TABLE `tbl_agent_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_crops_labor`
--

DROP TABLE IF EXISTS `tbl_crops_labor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_crops_labor` (
  `crop` varchar(20) NOT NULL DEFAULT '',
  `labor_req_harvest` double DEFAULT NULL,
  PRIMARY KEY (`crop`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_crops_labor`
--

LOCK TABLES `tbl_crops_labor` WRITE;
/*!40000 ALTER TABLE `tbl_crops_labor` DISABLE KEYS */;
INSERT INTO `tbl_crops_labor` VALUES ('wheat',0.5),('barley',0.6),('maize',0.8);
/*!40000 ALTER TABLE `tbl_crops_labor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_farm_assets`
--

DROP TABLE IF EXISTS `tbl_farm_assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_farm_assets` (
  `farmstead_id` int(11) NOT NULL DEFAULT '0',
  `asset` varchar(50) NOT NULL DEFAULT '',
  `quantity` int(11) DEFAULT NULL,
  PRIMARY KEY (`farmstead_id`,`asset`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_farm_assets`
--

LOCK TABLES `tbl_farm_assets` WRITE;
/*!40000 ALTER TABLE `tbl_farm_assets` DISABLE KEYS */;
INSERT INTO `tbl_farm_assets` VALUES (300,'liquidity',8000),(15,'liquidity',250),(300,'tractor_machinery_asset',1),(300,'plough_machinery_asset',1),(300,'seeder_machinery_asset',1),(300,'harrow_machinery_asset',1),(300,'cultivator_machinery_asset',1),(67,'plough_machinery_asset',1);
/*!40000 ALTER TABLE `tbl_farm_assets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_harvest_periods`
--

DROP TABLE IF EXISTS `tbl_harvest_periods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_harvest_periods` (
  `crop` varchar(20) NOT NULL DEFAULT '',
  `length_of_harvest_period` double DEFAULT NULL,
  PRIMARY KEY (`crop`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_harvest_periods`
--

LOCK TABLES `tbl_harvest_periods` WRITE;
/*!40000 ALTER TABLE `tbl_harvest_periods` DISABLE KEYS */;
INSERT INTO `tbl_harvest_periods` VALUES ('wheat',8),('barley',7),('maize',20);
/*!40000 ALTER TABLE `tbl_harvest_periods` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_hh_dynamics`
--

DROP TABLE IF EXISTS `tbl_hh_dynamics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_hh_dynamics` (
  `pop` int(11) NOT NULL DEFAULT '0',
  `career` varchar(30) NOT NULL DEFAULT '',
  `upperage` int(11) NOT NULL DEFAULT '0',
  `labgrp` varchar(20) DEFAULT NULL,
  `labprov` double DEFAULT NULL,
  `mortality` double DEFAULT NULL,
  `fertility` double DEFAULT NULL,
  PRIMARY KEY (`pop`,`career`,`upperage`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_hh_dynamics`
--

LOCK TABLES `tbl_hh_dynamics` WRITE;
/*!40000 ALTER TABLE `tbl_hh_dynamics` DISABLE KEYS */;
INSERT INTO `tbl_hh_dynamics` VALUES (0,'female_farmer',12,'farm',0,0.01,0),(0,'female_farmer',16,'farm',0.3,0.001,0.001),(0,'female_farmer',21,'farm',0.9,0.003,0.003),(0,'female_farmer',45,'farm',0.9,0.003,0.03),(0,'female_farmer',70,'farm',0.9,0.005,0),(0,'female_farmer',90,'farm',0.2,0.003,0),(0,'female_farmer',91,'farm',0,1,0),(0,'male_farmer',12,'farm',0,0.01,0),(0,'male_farmer',16,'farm',0.3,0.001,0),(0,'male_farmer',25,'farm',1,0.008,0),(0,'male_farmer',70,'farm',1,0.004,0),(0,'male_farmer',90,'farm',1,0.3,0),(0,'male_farmer',91,'farm',1,1,0);
/*!40000 ALTER TABLE `tbl_hh_dynamics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_hh_member_types`
--

DROP TABLE IF EXISTS `tbl_hh_member_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_hh_member_types` (
  `hh_member_type` varchar(20) NOT NULL DEFAULT '',
  `career` varchar(20) DEFAULT NULL,
  `sex` int(11) DEFAULT NULL,
  `lowage` int(11) DEFAULT NULL,
  `upage` int(11) DEFAULT NULL,
  PRIMARY KEY (`hh_member_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_hh_member_types`
--

LOCK TABLES `tbl_hh_member_types` WRITE;
/*!40000 ALTER TABLE `tbl_hh_member_types` DISABLE KEYS */;
INSERT INTO `tbl_hh_member_types` VALUES ('boy','male_farmer',1,0,16),('young_man','male_farmer',1,17,30),('man','male_farmer',1,31,60),('elder_man','male_farmer',1,61,80),('girl','female_farmer',0,0,16),('young_woman','female_farmer',0,17,30),('woman','female_farmer',0,31,60),('elder_woman','female_farmer',0,61,80);
/*!40000 ALTER TABLE `tbl_hh_member_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_hh_members`
--

DROP TABLE IF EXISTS `tbl_hh_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_hh_members` (
  `farmstead_id` int(11) NOT NULL DEFAULT '0',
  `hh_member_type` varchar(30) NOT NULL DEFAULT '',
  `quantity` int(11) DEFAULT NULL,
  PRIMARY KEY (`farmstead_id`,`hh_member_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_hh_members`
--

LOCK TABLES `tbl_hh_members` WRITE;
/*!40000 ALTER TABLE `tbl_hh_members` DISABLE KEYS */;
INSERT INTO `tbl_hh_members` VALUES (300,'man',1),(300,'woman',1),(300,'boy',2),(300,'girl',1),(67,'young_man',1),(67,'elder_woman',1),(67,'elder_man',1),(15,'young_man',1),(15,'young_woman',1);
/*!40000 ALTER TABLE `tbl_hh_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_machinery`
--

DROP TABLE IF EXISTS `tbl_machinery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_machinery` (
  `machinery` varchar(20) NOT NULL DEFAULT '',
  `lifetime` int(11) DEFAULT NULL,
  `acqcost` double DEFAULT NULL,
  `capacity` double DEFAULT NULL,
  `hiring_price` double DEFAULT NULL,
  PRIMARY KEY (`machinery`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_machinery`
--

LOCK TABLES `tbl_machinery` WRITE;
/*!40000 ALTER TABLE `tbl_machinery` DISABLE KEYS */;
INSERT INTO `tbl_machinery` VALUES ('tractor',10,10000,500,50),('plough',6,1000,50,15),('seeder',12,3000,50,25),('harrow',8,760,100,10),('cultivator',8,900,100,12);
/*!40000 ALTER TABLE `tbl_machinery` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_prices`
--

DROP TABLE IF EXISTS `tbl_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_prices` (
  `product` varchar(20) NOT NULL DEFAULT '',
  `year` int(11) NOT NULL DEFAULT '0',
  `price` double DEFAULT NULL,
  PRIMARY KEY (`product`,`year`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_prices`
--

LOCK TABLES `tbl_prices` WRITE;
/*!40000 ALTER TABLE `tbl_prices` DISABLE KEYS */;
INSERT INTO `tbl_prices` VALUES ('wheat',2009,170),('maize',2009,160),('barley',2009,110),('wheat',2010,150),('maize',2010,170),('barley',2010,100),('wheat',2011,200),('maize',2011,190),('barley',2011,130),('wheat',2012,130),('maize',2012,180),('barley',2012,90);
/*!40000 ALTER TABLE `tbl_prices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_variable_cost`
--

DROP TABLE IF EXISTS `tbl_variable_cost`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_variable_cost` (
  `crop` varchar(20) NOT NULL DEFAULT '',
  `variable_cost` double DEFAULT NULL,
  PRIMARY KEY (`crop`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_variable_cost`
--

LOCK TABLES `tbl_variable_cost` WRITE;
/*!40000 ALTER TABLE `tbl_variable_cost` DISABLE KEYS */;
INSERT INTO `tbl_variable_cost` VALUES ('wheat',700),('maize',950),('barley',500);
/*!40000 ALTER TABLE `tbl_variable_cost` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_work`
--

DROP TABLE IF EXISTS `tbl_work`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_work` (
  `crop` varchar(20) NOT NULL DEFAULT '',
  `machinery` varchar(20) NOT NULL DEFAULT '',
  `frequency` int(11) DEFAULT NULL,
  PRIMARY KEY (`crop`,`machinery`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_work`
--

LOCK TABLES `tbl_work` WRITE;
/*!40000 ALTER TABLE `tbl_work` DISABLE KEYS */;
INSERT INTO `tbl_work` VALUES ('wheat','plough',1),('maize','plough',1),('barley','plough',1),('wheat','harrow',1),('maize','harrow',2),('barley','harrow',1),('wheat','seeder',1),('maize','seeder',1),('barley','seeder',1),('maize','cultivator',1);
/*!40000 ALTER TABLE `tbl_work` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_yields`
--

DROP TABLE IF EXISTS `tbl_yields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_yields` (
  `crop` varchar(20) NOT NULL DEFAULT '',
  `soil` int(11) NOT NULL DEFAULT '0',
  `yield` double DEFAULT NULL,
  PRIMARY KEY (`crop`,`soil`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_yields`
--

LOCK TABLES `tbl_yields` WRITE;
/*!40000 ALTER TABLE `tbl_yields` DISABLE KEYS */;
INSERT INTO `tbl_yields` VALUES ('wheat',0,6),('wheat',1,7.5),('wheat',2,8),('maize',0,8),('maize',1,10),('maize',2,9.5),('barley',0,5.5),('barley',1,6),('barley',2,6.2);
/*!40000 ALTER TABLE `tbl_yields` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-05-31 11:01:51
