package MpmasCropYieldsSet;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use SimpleObjectRegistry;
use MpmasInputBlock;
use SimpleObject;

our @ISA = qw(MpmasInputfileSet);
use MpmasCropYields;

sub class_of_files{
	return "MpmasCropYields";
 }
sub required {
	my $self = shift;
	return ($self->config_entry("CROP_MODEL") == 3 and $self->config_entry("BIOVERSION") == 3);
}
sub determine_files {
	my $self = shift;

	for my $y ($self->config_entry("YEAROFFIRSTHARVEST") .. $self->config_entry("ENDYEAR")) {
		my $p = $y - $self->config_entry("YEAROFFIRSTHARVEST") + 1;
		my $fname = sprintf("%02d", $p);
		$self->add_file($y,$fname);
	}

}

sub prepare_shared_files {
	
}

sub prepare_special_files {
	my $self = shift;
	for my $f ($self->files) {
		
		$self->delete_file($f) unless $f->prepare_special();
	}
}

