package MpmasInputBlockWithValueReplace;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use SimpleObject;
use IndexedTable;
our @ISA = qw(MpmasInputBlock);

sub set_cur_valuehash {
    $_[0]->{cur_valuehash} = $_[1];
}

sub cur_valuehash {
   return $_[0]->{cur_valuehash} if (exists $_[0]->{cur_valuehash});
}
sub set_cur {
      $_[0]->{cur} = $_[1];
}
sub cur {
  return $_[0]->{cur};
}
sub write {
	#writes prepared InputBlock to specified file skipping specified number of columns if not in DBG mode
	#arguments (filehandle, columns to skip, twodimensional array)

	my ($self, $out , $commentmode, $leftmargin,$cur,$valuetab) = @_;
	$self->set_cur_valuehash($valuetab) if (defined $valuetab );
	$self->set_cur($cur);
	my $i = -1;
	for my $r ( @{ $self->{Rows} } ) {
		$i++;
		print $out "\n" and next if ( not $commentmode and exists $self->{Comment_Rows}->{$i} );
		print $out "\n" and next if ($commentmode and exists $self->{NonComment_Rows}->{$i} );
		next if ($commentmode and exists $self->{NonCommentOnly_Rows}->{$i} );
		next if ( not $commentmode and exists $self->{CommentOnly_Rows}->{$i} );
		my $string = $leftmargin;
		for my $c (0..$#{$r}){
			
			if (defined $r->[$c] and ( $c >= $self->{commentary_columns} or $commentmode) ) {
				my $s = $r->[$c];
				if ( $s =~  s/&get_value\(/\$self->get_value(/) {
					my $x = 0;
					#print $r->[$c]."\n";
					eval( "\$x = ". $s) ; 
					print $@ if $@;
					#print $x."\n";
					$string .= sprintf("%.4e", $x);
				}
				else {
					$string .= $r->[$c];
				
				}
			}
			$string .= "\t";
			
		}
		print $out $string."\n";
		
	}
	return 1;
}

sub get_value {
     # print "&get_value for $_[1]: '".defined $_[0]->cur_valuehash->{$_[1]} ?  $_[0]->cur_valuehash->{$_[1]} : "undef" ."'\n";
      
      return $_[0]->cur_valuehash->query([$_[0]->cur, $_[1]],3) if (ref $_[0]->cur_valuehash and defined  $_[0]->cur_valuehash->query([$_[0]->cur, $_[1]],3));
      return 0;
}
1;
