#!/usr/bin/perl
use strict;
use warnings;
use lib '/usr/local/lib/mpmasql/modules';
use IndexedTable;
my $seed = $ARGV[0] || 2210;

my $colbunmatch = IndexedTable->create_from_ascii("colbun/chi06_pbm_7402.tab",2);

my $longavi_mtc = IndexedTable->create_from_ascii("chi06_mtc_fst_7403.tab",2);
my $linares_mtc = IndexedTable->create_from_ascii("chi06_mtc_fst_7401.tab",2);

my $fh;
my $fh2
open ($fh, ">", "chi06_mtclist.tab"  ) or die $!."\n";
open ($fh2, ">", "chi06_seclist.tab"  ) or die $!."\n";
print $fh join("\t", "seed", "dir_folio", "fstid");
print $fh join("\t", "INT", "INT", "INT");
print $fh join("\t", "k", "k", "k");
print $fh2 join("\t", "seed", "dir_folio", "sec");
print $fh2 join("\t", "INT", "INT", "INT");
print $fh2 join("\t", "k", "k", "n");

foreach (  $colbunmatch->query([],0) ) { 
    print $fh $seed."\t". $colbunmatch->query([$_, "census_match"],3)."\t".$_."\n" 
  } ;

foreach my $i ($linares_mtc->query([],0) {
    print $fh2 $seed."\t".$j."\t".$linares_mtc->query([$i, "FIT_subarea"],0) if (defined $linares_mtc->query([$i, "FIT_subarea"],0));
    foreach my $j ($linares_mtc->query([$i],0) {  
	    print $fh $seed."\t".$j."\t".$linares_mtc->query([$i, $j],0)."\n" if ($j =~ /^FIT_match_\d+/);
	    
    }
}
foreach my $i ($longavi_mtc->query([],0) {
    print $fh2 $seed."\t".$j."\t".$longavi_mtc->query([$i, "FIT_subarea"],0) if (defined $longavi_mtc->query([$i, "FIT_subarea"],0));
    foreach my $j ($longavi_mtc->query([$i],0) {  
	    print $fh $seed."\t". $j."\t".$longavi_mtc->query([$i, $j],0 if ($j =~ /^FIT_match_\d+/);
	    
    }
}

close ($fh);
close ($fh2);